### Function

# Gtk ListBoxSortFunc

#### Declaration

    int
    ListBoxSortFunc (
      GtkListBoxRow* row1,
      GtkListBoxRow* row2,
      gpointer user_data
    )

#### Description [src]

Compare two rows to determine which should be first.

#### Parameters

`row1` | `GtkListBoxRow`
| The first row.
| The data is owned by the caller of the function.
`row2` | `GtkListBoxRow`
| The second row.
| The data is owned by the caller of the function.
`user_data` | `gpointer`
| User data.

#### Return value

Returns: | `int`
| < 0 if `row1` should be before `row2`, 0 if they are equal and > 0 otherwise.